Skip to main content
GET
Retrieve audit logs

Authorizations

Authorization
string
header
required

A personal API key or an OAuth 2.0 access token. Personal API keys also require the x-auth-key header with your user ID.

Query Parameters

organization_id
string
required

The ID of the organization to retrieve audit logs for.

user_id
string
required

Your user id -- you must be an organization admin to retrieve organization logs.

start_time
string<date-time>
required

Start timestamp for log filtering (ISO format).

end_time
string<date-time>
required

End timestamp for log filtering (ISO format).

event_types
string

Comma-separated list of event types to filter by (e.g. user_sign_in,credential_retrieval). The singular event_type param accepts a single value.

user_ids
string

Comma-separated list of user IDs whose events should be returned.

ip_addresses
string

Comma-separated list of source IP addresses to filter by. The singular ip_address param accepts a single value.

workspace_ids
string

Comma-separated list of workspace (team) IDs to filter by. The singular workspace_id param accepts a single value.

entity_ids
string

Comma-separated list of entity IDs (agents, workbooks, files) to filter by. The singular entity_id param accepts a single value.

page
integer
default:1

Page number for pagination.

page_size
integer
default:50

Number of records per page.

Response

Successful retrieval of organization audit logs

audit_logs
object[]
total_count
integer

Total number of matching audit logs.

page
integer

Current page number.

page_size
integer

Number of records per page.

total_pages
integer

Total number of pages available.

event_types
string[]

Every event type available for filtering in this organization.